Virtual Accounts

Virtual accounts requires an existing primary account as a parent, and it uses the same currency and safe-guarding relationship as the parent account.

You can create multiple virtual accounts linked with the same primary account, and move funds between:

  • Virtual account to virtual account

  • Virtual account to parent primary account

  • Parent primary account to virtual account

circle-info

You need an existing Primary Account in order to create a virtual account

Create Virtual Account

Create a virtual account

post
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Body
customerIdstring · uuidRequired

Customer ID that will be the account owner.

Example: a2b9649e-df7f-4349-adff-1c57283fef10
idempotencyKeystring · uuidRequired

A unique idempotency key to prevent duplicate account creation.

Example: 1483d25d-3f00-4d39-90ce-2379a130becd
parentAccountIdstring · uuidRequired

The parent account ID under which the virtual account will be created.

Example: e0cab2dd-739f-43de-b131-3e423e935bf1
productCodestringRequired

The product code for the virtual account being created.

Example: FIAT_ACCOUNT_UK_V1
productParametersobject · nullableOptional

Product parameters for the virtual account being created.

Responses
chevron-right
200

Account successfully created

application/json
idstring · uuidRequired

Unique identifier of the account

Example: e0cab2dd-739f-43de-b131-3e423e935bf1
partnerIdstring · uuidRequiredDeprecated

Partner identifier that owns or manages this account

Example: 2ecf0e23-3215-462c-97c4-9e5a147656d7
externalReferencestring · uuidOptional

External reference

primaryAccountIdstring · uuid · nullableOptional

Primary account identifier

Example: ae66fcb2-2852-4568-990d-accc78572e4d
typestring · enumRequired

Type of account

Example: VIRTUALPossible values:
currencyCodestring · enumRequired

Currency associated with this account

Example: GBPPossible values:
createDatestring · date-timeRequired

Date when the account was created

Example: 2025-01-01
statestring · enumRequired

Current operational state of the account

Example: READYPossible values:
customerIdstring · uuidRequired

Customer identifier associated with this account

Example: a2b9649e-df7f-4349-adff-1c57283fef10
productCodestringRequired

The product code for the virtual account

Example: FIAT_ACCOUNT_UK_V1
post
/v1/partner/accounts/virtual

Delete a virtual account

delete
Path parameters
accountIdstringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Body
idempotencyKeystring · uuidRequired

A unique idempotency key to prevent duplicate operations

requestedBystringRequired
reasonstringRequired
notesstring · nullableRequired
Responses
chevron-right
200

Virtual account deleted

No content

delete
/v1/partner/accounts/virtual/{accountId}

No content

Last updated

Was this helpful?